Get a quote version by resource ID

Requires the QUOTE.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Response

OK
quote_idstring
The ID of the quote.
versioninteger
The value describing the version of the quote.
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
updated_atstring or nullRead-only
expires_atdatetime or null
The expiration date of the quote version.
pricing_plan_subscription_infoobject or null
The info of the linked pricing plan subscription.
statusenum or null
actionslist of objects or nullRead-only
The history of all actions done.
internal_noteslist of strings or null
Internal notes on this quote versions.
noteslist of strings or null
Notes on this quote versions.
approval_request_idstring or nullRead-only
The ID of the Approval Request that was created for this Quote Version.
recipientslist of objects or null
The recipients for signature on this quote version.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error